<?php



class TbluserMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TbluserMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TbluserPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TbluserPeer::TABLE_NAME);
		$tMap->setPhpName('Tbluser');
		$tMap->setClassname('Tbluser');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('US_ID', 'UsId', 'INTEGER', true, null);

		$tMap->addColumn('US_USERNAME', 'UsUsername', 'VARCHAR', false, 30);

		$tMap->addColumn('US_PASSWORD', 'UsPassword', 'VARCHAR', false, 50);

		$tMap->addColumn('US_FIRSTNAME', 'UsFirstname', 'VARCHAR', true, 50);

		$tMap->addColumn('US_LASTNAME', 'UsLastname', 'VARCHAR', true, 50);

		$tMap->addColumn('US_SEX', 'UsSex', 'TINYINT', false, null);

		$tMap->addColumn('US_EMAIL', 'UsEmail', 'VARCHAR', true, 100);

		$tMap->addColumn('US_PHONE', 'UsPhone', 'VARCHAR', false, 50);

		$tMap->addColumn('US_ACLGROUP', 'UsAclgroup', 'INTEGER', false, null);

		$tMap->addColumn('US_SCHOOL', 'UsSchool', 'VARCHAR', false, 100);

		$tMap->addColumn('US_PROVINCE', 'UsProvince', 'VARCHAR', false, 50);

		$tMap->addColumn('US_LASTVISITED', 'UsLastvisited', 'TIMESTAMP', false, null);

		$tMap->addColumn('US_REGISTERDATE', 'UsRegisterdate', 'TIMESTAMP', false, null);

		$tMap->addColumn('US_RATING', 'UsRating', 'INTEGER', true, null);

		$tMap->addColumn('US_DOWNLOAD', 'UsDownload', 'INTEGER', false, null);

		$tMap->addColumn('US_AVATAR', 'UsAvatar', 'VARCHAR', false, 255);

		$tMap->addColumn('US_STATUS', 'UsStatus', 'INTEGER', false, null);

		$tMap->addColumn('US_KEY', 'UsKey', 'INTEGER', false, null);

		$tMap->addColumn('US_SCORE', 'UsScore', 'INTEGER', false, null);

		$tMap->addColumn('US_POINTPLUS', 'UsPointplus', 'INTEGER', false, null);

		$tMap->addColumn('US_CHECKED', 'UsChecked', 'TINYINT', false, null);

		$tMap->addColumn('US_CHECKINFO', 'UsCheckinfo', 'INTEGER', false, null);

		$tMap->addColumn('US_IDMD5', 'UsIdmd5', 'VARCHAR', false, 32);

		$tMap->addColumn('US_HOMEPAGE', 'UsHomepage', 'VARCHAR', false, 255);

		$tMap->addColumn('US_MONEY', 'UsMoney', 'INTEGER', false, null);

	} 
} 